Page MenuHomePhabricator

Security Review of On This Day Endpoint
Closed, ResolvedPublic

Description

Project Information

Description of the tool/project

See Parent Task: T143408

Description of how the tool will be used at WMF

Will be used in the feed of the iOS and Android Apps (Likely used in other contexts as well)

Dependencies

RESTBase

Has this project been reviewed before?

No

Working test environment

https://www.mediawiki.org/wiki/Wikimedia_Apps/Team/RESTBase_services_for_apps#....2Ffeed.2Fonthisday.2F.7Btype.7D.2F.7Bmm.7D.2F.7Bdd.7D

Post-deployment

Product-Infrastructure-Team-Backlog

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 4:39 PM
Bawolff added a subscriber: Bawolff.

Hi. To clarify, is this written yet? Can you fill out the task with the info requested at https://www.mediawiki.org/wiki/Wikimedia_Security_Team/Security_reviews#Requesting_a_review ?

bearND added a subscriber: bearND.EditedDec 14 2016, 9:44 PM

This is not implemented yet. Will add more info when we start working on the 'On this Day' endpoint, see parent task.

Fjalapeno renamed this task from Security Review of On This Day Endpoint to Security Review of Anniversaries Endpoint.Jan 31 2017, 4:31 PM
Fjalapeno moved this task from Backlog to Kanban on the Mobile-Content-Service board.
Fjalapeno moved this task from To Do to Blocked on the Mobile-Content-Service (Kanban) board.
Fjalapeno updated the task description. (Show Details)Feb 1 2017, 6:26 PM

@Bawolff let me know if the description is sufficient now - thanks!

bearND updated the task description. (Show Details)Feb 22 2017, 6:06 PM

The endpoint has been deployed. There are some follow-up patches in the repo for this new set of endpoints.

Fjalapeno renamed this task from Security Review of Anniversaries Endpoint to Security Review of On This Day Endpoint.Mar 1 2017, 6:05 PM
Bawolff closed this task as Resolved.Mar 6 2017, 4:56 AM
Bawolff claimed this task.
Bawolff moved this task from In Progress to Awaiting remediation on the Security-Team-Reviews board.

Security review passed. Everything looks good. (For reference, I looked at c9241268d38d)

@Bawolff awesome, thanks!

bearND added a comment.Mar 7 2017, 6:04 PM

Thank you!